AntiFeatures:
  - NonFreeNet
Categories:
  - Development
License: Apache-2.0
WebSite: http://sahan.me/Travis-Jr
SourceCode: https://github.com/sahan/Travis-Jr
IssueTracker: https://github.com/sahan/Travis-Jr/issues

AutoName: Travis Jr.
Description: |-
    Mobile client for the popular continuous integration system Travis-CI. Allows to
    authenticate via Github and view your repositories and builds and supports
    viewing build logs with panning and zooming.

    Anti-feature:Network Services. Travis-CI.org itself runs primarily proprietary
    code.

RepoType: git
Repo: https://github.com/sahan/Travis-Jr.git

Builds:
  - versionName: 0.2.0
    versionCode: 2
    commit: 1d0c83b1857a5080ebf0f7d51dbd94ba8fcbdb69
    subdir: travisjr
    maven: 'yes'
    prebuild:
      - sed -i -e 's@<version>3.8.2</version>@<version>3.7.0</version>@g' pom.xml
      - sed -i -e 's@<version>3.8.2</version>@<version>3.7.0</version>@g' ../pom.xml

MaintainerNotes: |-
    Check sed substitution on every build until we use maven >= 3.1.1
    After this and if upstream tags again, we could set UCM:Tags and
    AUM:Version v%v.

AutoUpdateMode: None
UpdateCheckMode: RepoManifest
CurrentVersion: 0.2.0
CurrentVersionCode: 2
